#!/usr/bin/python

import SocketServer
from urllib2 import Request, urlopen, URLError

class MyTCPHandler(SocketServer.BaseRequestHandler):
    def handle(self):
        self.data = self.request.recv(8192) #string of data the client sent as a request (up to 8192 bytes)
        self.host = self.client_address[0]
        self.port = self.client_address[1]
        #print "%s, %s, %s:%s<" % (self.host, self.port, len(self.data), self.data)
        buf = "http://www.dbunplugged.com/%s" % (self.data)
        #print buf       
        req = Request(buf)
        try: 
                response = urlopen(req)
        except URLError, e:
                if hasattr(e, 'reason'):
                        print 'We failed to reach a server.'
                        print 'Reason: ', e.reason
                elif hasattr(e, 'code'):
                        print 'The server couldn\'t fulfill the request.'
                        print 'Error code: ', e.code
                else:
                        print 'Unknown error'
        else:
                print "PAGE:"
                print response.read()
        

if __name__ == "__main__":
    HOST, PORT = "", 9999
    server = SocketServer.TCPServer((HOST, PORT), MyTCPHandler)
    server.serve_forever()
