#!/usr/bin/python

import SocketServer
from urllib2 import Request, urlopen, URLError

class MyUDPHandler(SocketServer.BaseRequestHandler):
    def handle(self):
        self.host = self.client_address[0]
        self.port = self.client_address[1]
        #print "%s, %s, %s:%s<" % (self.host, self.port, len(self.request[0]), self.request[0])
        buf = "http://www.dbunplugged.com/%s" % (self.request[0])
        #print buf       
        req = Request(buf)
        try: 
                response = urlopen(req)
        except URLError, e:
                if hasattr(e, 'reason'):
                        print 'We failed to reach a server.'
                        print 'Reason: ', e.reason
                elif hasattr(e, 'code'):
                        print 'The server couldn\'t fulfill the request.'
                        print 'Error code: ', e.code
                else:
                        print 'Unknown error'
        else:
                print "PAGE:"
                print response.read()
 
if __name__ == "__main__":
    HOST, PORT = "", 9999
    server = SocketServer.UDPServer((HOST, PORT), MyUDPHandler)
    server.serve_forever()
